commit:     7b1b900ad6015e97bc47f63511db53a3b637a787
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 13 04:23:02 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 13 04:23:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b1b900a

net-misc/mulk: bump to EAPI 7

Closes: https://bugs.gentoo.org/742137
Closes: https://bugs.gentoo.org/717984
Closes: https://bugs.gentoo.org/725140
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/mulk/files/mulk-0.7.0-musl-locale.patch   | 12 +++++++
 .../{mulk-0.7.0.ebuild => mulk-0.7.0-r1.ebuild}    | 41 ++++++++++++++++------
 2 files changed, 42 insertions(+), 11 deletions(-)

diff --git a/net-misc/mulk/files/mulk-0.7.0-musl-locale.patch 
b/net-misc/mulk/files/mulk-0.7.0-musl-locale.patch
new file mode 100644
index 00000000000..4aadd59dec9
--- /dev/null
+++ b/net-misc/mulk/files/mulk-0.7.0-musl-locale.patch
@@ -0,0 +1,12 @@
+diff --git a/lib/mulk.c b/lib/mulk.c
+index 9342032..21e5ccb 100644
+--- a/lib/mulk.c
++++ b/lib/mulk.c
+@@ -30,6 +30,7 @@
+  * files in the program, then also delete it here.
+  
*---------------------------------------------------------------------------*/
+ 
++#include <locale.h>
+ #include "m_malloc.h"
+ #include "buffer_array.h"
+ #include "url_list.h"

diff --git a/net-misc/mulk/mulk-0.7.0.ebuild 
b/net-misc/mulk/mulk-0.7.0-r1.ebuild
similarity index 57%
rename from net-misc/mulk/mulk-0.7.0.ebuild
rename to net-misc/mulk/mulk-0.7.0-r1.ebuild
index c6f3842a1e6..7aba3f1bc44 100644
--- a/net-misc/mulk/mulk-0.7.0.ebuild
+++ b/net-misc/mulk/mulk-0.7.0-r1.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="4"
-
-inherit base
+EAPI=7
 
 MY_PV=${PV/_beta/}
 MY_P="${PN}-${MY_PV}"
@@ -11,29 +9,50 @@ MY_P="${PN}-${MY_PV}"
 DESCRIPTION="Download agent similar to wget/curl"
 HOMEPAGE="http://mulk.sourceforge.net/";
 SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
 
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="checksum debug metalink"
+REQUIRED_USE="checksum? ( metalink )"
 
-DEPEND="net-misc/curl
+DEPEND="
        app-text/htmltidy
        dev-libs/uriparser
+       net-misc/curl
+       sys-devel/gettext
+       virtual/libiconv
+       virtual/libintl
        metalink? (
                media-libs/libmetalink
                checksum? ( dev-libs/openssl )
-       )"
-
-REQUIRED_USE="checksum? ( metalink )"
-
+       )
+"
 RDEPEND="${DEPEND}"
 
-S="${WORKDIR}/${MY_P}"
+PATCHES=(
+       "${FILESDIR}/${PN}-0.7.0-musl-locale.patch"
+)
 
 src_configure() {
+       local checksum=
+
+       if use metalink && use checksum ; then
+               checksum="--enable-checksum"
+       fi
+
        econf \
                $(use_enable debug) \
                $(use_enable metalink) \
-               $(use metalink && use checksum && echo --enable-checksum)
+               "${checksum}"
+}
+
+src_install() {
+       default
+
+       # Remove static libraries
+       find "${ED}" -name '*.a' -delete || die
+       # and libtool archives
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to